View Issue Details

IDProjectCategoryView StatusLast Update
0000341Adventure PHP FrameworkNeues Feature // New Featurepublic2019-01-23 12:16
ReporterGeneral CrimeAssigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version3.4 
Target Version4.0Fixed in Version4.0 
Summary0000341: <form:listener> in <form:error> verwenden
DescriptionHallo,
derzeit ist es nicht möglich <form:listener> in <form:error> zu verwenden.
Dies ist jedoch essential für ein vernünftiges Template.

Eine implementierung in <form:success> halte ich dagegen für nicht nötig da hier eigentlich keine <form:listener> ausgegeben werden.
Steps To ReproduceDerzeitiger Workaround
<form:error>
<div class="alert alert-danger">

    </form:error>
    <form:listener>
  • </form:listener>
    <form:listener>
  • </form:listener>
    <form:listener>
  • </form:listener>
    <form:error>

</div>
</form:error>

Gewünscht:
<form:error>
<div class="alert alert-danger">

    <form:listener>
  • </form:listener>
    <form:listener>
  • </form:listener>
    <form:listener>
  • </form:listener>

</div>
</form:error>
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacetools

Activities

ChristianAchatz

2019-01-15 14:59

administrator   ~0000880

Root cause found: Tag implementation for <form:error /> does not implement interface FormGroup, so searching for <form:listener />-Tags is not working inside of <form:error />.

ChristianAchatz

2019-01-18 18:07

administrator   ~0000881

Implementation completed under https://github.com/AdventurePHP/code/commit/55abc113db3dd8a65a861c29494e008ec538ff25.

ChristianAchatz

2019-01-18 18:22

administrator   ~0000882

Updated documentation. See changes under https://github.com/AdventurePHP/docs/commit/65816871e7aaba104d92c49c0821e374c4a3e48c.

General Crime

2019-01-19 14:42

developer   ~0000883

Last edited: 2019-01-19 14:42

View 2 revisions

Hello, if I have a form: error tag in the form this will be sent immediately!

Was tested with the current master branch 55abc113db3dd8a65a861c29494e008ec538ff25.

ChristianAchatz

2019-01-19 17:47

administrator   ~0000884

Last edited: 2019-01-19 17:47

View 2 revisions

Thanks for your response. Implementation of method isSent() has been incorrect. Can you try again with my update just now?

See https://github.com/AdventurePHP/code/commit/18a7023f758f47d1783e1c91e62c09c237c9eafe

General Crime

2019-01-19 18:18

developer   ~0000885

This works fine i had sent you a pull request too after i fix it.

ChristianAchatz

2019-01-20 14:11

administrator   ~0000886

OK, thanks! So we are good to close it?

ChristianAchatz

2019-01-23 12:16

administrator   ~0000889

As discussed in the forum, we are good to close the issue.

Issue History

Date Modified Username Field Change
2019-01-15 06:40 General Crime New Issue
2019-01-15 13:16 ChristianAchatz Assigned To => ChristianAchatz
2019-01-15 13:16 ChristianAchatz Status new => assigned
2019-01-15 13:16 ChristianAchatz Target Version 4.1 => 4.0
2019-01-15 14:59 ChristianAchatz Note Added: 0000880
2019-01-18 18:07 ChristianAchatz Note Added: 0000881
2019-01-18 18:22 ChristianAchatz Note Added: 0000882
2019-01-18 18:22 ChristianAchatz Status assigned => resolved
2019-01-18 18:22 ChristianAchatz Resolution open => fixed
2019-01-18 18:22 ChristianAchatz Fixed in Version => 4.0
2019-01-19 14:42 General Crime Status resolved => feedback
2019-01-19 14:42 General Crime Resolution fixed => reopened
2019-01-19 14:42 General Crime Note Added: 0000883
2019-01-19 14:42 General Crime Note Edited: 0000883 View Revisions
2019-01-19 17:47 ChristianAchatz Note Added: 0000884
2019-01-19 17:47 ChristianAchatz Note Edited: 0000884 View Revisions
2019-01-19 17:47 ChristianAchatz Status feedback => assigned
2019-01-19 18:18 General Crime Note Added: 0000885
2019-01-20 14:11 ChristianAchatz Note Added: 0000886
2019-01-23 12:16 ChristianAchatz Note Added: 0000889
2019-01-23 12:16 ChristianAchatz Status assigned => resolved
2019-01-23 12:16 ChristianAchatz Resolution reopened => fixed